--- main/rtp.c.orig	2009-02-25 12:03:51.000000000 +1100
+++ main/rtp.c	2009-02-25 12:04:32.000000000 +1100
@@ -1087,14 +1087,12 @@
 
 	packetwords = res / 4;
 	
-	if (rtp->nat) {
-		/* Send to whoever sent to us */
-		if ((rtp->rtcp->them.sin_addr.s_addr != sin.sin_addr.s_addr) ||
-		    (rtp->rtcp->them.sin_port != sin.sin_port)) {
-			memcpy(&rtp->rtcp->them, &sin, sizeof(rtp->rtcp->them));
-			if (option_debug || rtpdebug)
-				ast_debug(0, "RTCP NAT: Got RTCP from other end. Now sending to address %s:%d\n", ast_inet_ntoa(rtp->rtcp->them.sin_addr), ntohs(rtp->rtcp->them.sin_port));
-		}
+	/* Send to whoever sent to us */
+	if ((rtp->rtcp->them.sin_addr.s_addr != sin.sin_addr.s_addr) ||
+	    (rtp->rtcp->them.sin_port != sin.sin_port)) {
+		memcpy(&rtp->rtcp->them, &sin, sizeof(rtp->rtcp->them));
+		if (option_debug || rtpdebug)
+			ast_debug(0, "RTCP NAT: Got RTCP from other end. Now sending to address %s:%d\n", ast_inet_ntoa(rtp->rtcp->them.sin_addr), ntohs(rtp->rtcp->them.sin_port));
 	}
 
 	ast_debug(1, "Got RTCP report of %d bytes\n", res);
@@ -1457,20 +1455,18 @@
 		return &ast_null_frame;
 #endif
 
-	/* Send to whoever send to us if NAT is turned on */
-	if (rtp->nat) {
-		if ((rtp->them.sin_addr.s_addr != sin.sin_addr.s_addr) ||
-		    (rtp->them.sin_port != sin.sin_port)) {
-			rtp->them = sin;
-			if (rtp->rtcp) {
-				memcpy(&rtp->rtcp->them, &sin, sizeof(rtp->rtcp->them));
-				rtp->rtcp->them.sin_port = htons(ntohs(rtp->them.sin_port)+1);
-			}
-			rtp->rxseqno = 0;
-			ast_set_flag(rtp, FLAG_NAT_ACTIVE);
-			if (option_debug || rtpdebug)
-				ast_debug(0, "RTP NAT: Got audio from other end. Now sending to address %s:%d\n", ast_inet_ntoa(rtp->them.sin_addr), ntohs(rtp->them.sin_port));
+	/* Send to whoever send to us */
+	if ((rtp->them.sin_addr.s_addr != sin.sin_addr.s_addr) ||
+	    (rtp->them.sin_port != sin.sin_port)) {
+		rtp->them = sin;
+		if (rtp->rtcp) {
+			memcpy(&rtp->rtcp->them, &sin, sizeof(rtp->rtcp->them));
+			rtp->rtcp->them.sin_port = htons(ntohs(rtp->them.sin_port)+1);
 		}
+		rtp->rxseqno = 0;
+		ast_set_flag(rtp, FLAG_NAT_ACTIVE);
+		if (option_debug || rtpdebug)
+			ast_debug(0, "RTP NAT: Got audio from other end. Now sending to address %s:%d\n", ast_inet_ntoa(rtp->them.sin_addr), ntohs(rtp->them.sin_port));
 	}
 
 	/* If we are bridged to another RTP stream, send direct */
